package es.verdnatura.domain

import android.content.Context
import es.verdnatura.presentation.view.feature.diadeventa.model.ItemShelvingSaleDate
import retrofit2.Call

class GetDayOfSaleUSerCase(context: Context) : RestClient(context) {

    /*fun itemShelving_updateSpam(usuario: String, password: String,vShelvingFK:String): Call<Boolean> {

        val params: ArrayList<String> = ArrayList()
        params.add(vShelvingFK)
        return restClient!!.itemShelving_updateSpam("json", "1", usuario, password, "application/json",params=params)
    }*/
  /*  fun itemShelving_getSaleDateOld(
        usuario: String,
        password: String,
        expeditionFk: String
                               ): Call<JsonObject> {
        val params: ArrayList<String> = ArrayList()
        params.add(expeditionFk)
        return restClient!!.itemShelving_getSaleDate(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params = params
                                                   )
    }*/

    fun itemShelving_getSaleDate(
        usuario: String,
        password: String,
        vShelvingFk: String
                                   ): Call<List<ItemShelvingSaleDate>> {
        val params: ArrayList<String> = ArrayList()
        params.add(vShelvingFk)
        return restClient!!.itemShelving_getSaleDate(
            "json",
            "1",
            usuario,
            password,
            "application/json",
            params
                                                       )
    }
    fun shelvingPark(
        usuario: String,
        password: String,
        shelving: String,
        parking: String
                    ): Call<Any> {
        val params: ArrayList<String> = ArrayList()
        params.add(shelving)
        params.add(parking)
        return restClient!!.shelvingPark("json", "1", usuario, password, "application/json", params)
    }


}